import json
import os
import sys
config = {
        "credentials": {"token":"" },
        "context": {},       
    }
if sys.platform.startswith('linux'):
    config_dir = os.path.expanduser("~/.aichor/")
    config_path = os.path.join(config_dir, "aichor_config.json")
elif sys.platform.startswith('darwin'):
    config_dir = os.path.expanduser("~/Library/Application Support/AichorCLI/")
    config_path = os.path.join(config_dir, "aichor_config.json")
elif sys.platform.startswith('win'):
    config_dir = os.path.join(os.getenv('APPDATA'), "AichorCLI")
    config_path = os.path.join(config_dir, "aichor_config.json")
else:
     raise NotImplementedError(f"Platform '{sys.platform}' is not supported.")

# Check if config directory exists, create it if not
if not os.path.exists(config_dir):
    os.makedirs(config_dir)
   
# Check if the configuration file exists
if os.path.exists(config_path):
    with open(config_path, "r") as config_file:
        config = json.load(config_file)

config.setdefault("baseURL", "aichor.ai")
config.setdefault("qarthService", "https://api.")
config.setdefault("jaqenService", "https://web.")
config.setdefault("stage", "")

# Save the updated config to the file
with open(config_path, "w") as config_file:
    json.dump(config, config_file, indent=4)
def get_config():
    return config

def get_config_paths():
    return config_path, config_dir